@import "~sass-material-colors";

$ZEA2_ADMIN_MENU_WIDTH: 250px;

.routes.routes-ui-protected-routes {
  position: absolute;
  top: 0; bottom: 0;
  left: 0; right: 0;

  .ui-container {
    display: flex;
    height: 100%;
    overflow: hidden;

    .ui-container-menu {
      width: $ZEA2_ADMIN_MENU_WIDTH;
      flex-shrink: 0;
      overflow: auto;
    }

    .ui-container-contents {
      border-left: 1px solid material-color("grey", "300");
      width: 100%;
      overflow: hidden;
      display: flex;
      flex-direction: column;

      .ui-container-header {
        flex-shrink: 0;
        border-bottom: 1px solid material-color("grey", "300");
      }

      .ui-container-router-outlet {
        overflow: auto;
        height: 100%;
      }
    }
  }
}
